## glycin-loaders 1.0.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

# Build all loaders except jxl; pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dloaders="glycin-heif, glycin-image-rs, glycin-svg" \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)"

## glycin-loaders 1.0.1+dfsg

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'release',
    'dev'
  ],
  value: 'release',
)

option(
  'loaders',
  type: 'array',
  choices: [
    'glycin-heif',
    'glycin-image-rs',
    'glycin-jxl',
    'glycin-svg',
  ],
  value: [
    'glycin-heif',
    'glycin-image-rs',
    'glycin-jxl',
    'glycin-svg',
  ],
  description: 'List of loaders to build.',
)

option(
  'test_skip_ext',
  type: 'array',
  description: 'Image filename extensions, exlcuding dots, to skip during tests.'
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Support running tests.'
)

option(
  'test_skip_install',
  type: 'boolean',
  value: false,
  description: 'Do not run meson install before running tests.'
)

=== debian/changelog ===
glycin-loaders (1.0.1+dfsg-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2063382)
  * Vendor package since rust-glycin and rust-zbus are unavailable
  * Use gnome-snapshot's debian/README.source as a vendoring guide
  * Drop disable-exr patch: not needed with vendoring
  * Add Build-Depends: libseccomp-dev
  * Build all loaders except jpeg-xl
  * Add patch to skip running cargo test on all the crates
  * debian/copyright: Update for new exif images

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Apr 2024 23:13:27 -0400

glycin-loaders (0.1.2+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Feb 2024 15:41:19 -0500

glycin-loaders (0.1.2+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1050853)

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 01 Sep 2023 10:34:10 +0200

=== debian/control ===
Source: glycin-loaders
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.57),
 libcairo2-dev (>= 0.17.0),
 libclang-dev,
 libgtk-4-dev,
 libheif-dev (>= 0.14.2),
 librsvg2-dev,
 libseccomp-dev,
 libxml2-dev,
 cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/sophie-h/glycin
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/glycin-loaders
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/glycin-loaders.git

Package: glycin-loaders
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: image loaders for loupe
 This package contains the image loaders enabling image format
 support for Loupe. It's built without JPEG-XL support right now
 as support for this feature in GNOME is still experimental.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

# A vendored crate ships .bak files!
override_dh_clean:
	dh_clean -X.bak

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dloaders="glycin-heif, glycin-image-rs, glycin-svg"

execute_before_dh_auto_build:
	mkdir -p debian/missing-sources/system-deps/src/tests/lib/
	touch debian/missing-sources/system-deps/src/tests/lib/libteststatic.a

execute_before_dh_auto_install:
	rm -rf debian/missing-sources/system-deps/src/tests/lib/

=== debian/watch ===
version=4
opts="searchmode=plain,repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+dfsg, \
	uversionmangle=s/\.(alpha|beta|rc)/~$1/,downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## glycin-loaders 1.0.1+ds

=== debian/changelog ===
glycin-loaders (1.0.1+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1077449) 

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 15:08:38 +0200

glycin-loaders (1.0.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * Updated build-dependencies for new upstream version
  * Enable svg support (Closes: #1064387)
  * Bump Standards-Version to 4.7.0; no changes needed
  * Add patch to relax png crate
  * d/copyright: updated copyright years, test image licensing info
  * Enable build-time tests; skip cargo-test as it fails
  * Updated README.debian
  * Updated copyright and d/watch for +ds version since the non-free images got dropped 
    upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 14:46:03 +0200

=== debian/control ===
Source: glycin-loaders
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.57),
 libcairo2-dev (>= 0.17.0),
 libgtk-4-dev,
 libheif-dev (>= 0.14.2),
 librust-glycin-utils-dev (>= 1.0.1-~~),
 librust-image-0.24+default-dev (>= 0.24.7-~~),
 librust-kamadak-exif-0.5+default-dev (>= 0.5.5-~~),
 librust-png-0.17+default-dev (>= 0.17.7-~~),
 cargo:native,
 rustc:native (>= 1.75),
 libstd-rust-dev,
 librust-libheif-rs-1+default-dev,
 librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
 librust-librsvg-2+default-dev (>= 2.58.0-~~),
 librust-gio-0.19+default-dev (>= 0.19-~~),
 librust-cairo-rs-0.19+default-dev (>= 0.19-~~),
 librust-async-global-executor-2+default-dev (>= 2.3.0-~~) <!nocheck>,
 librust-gdk4-0.8+default-dev (>= 0.8.0-~~) <!nocheck>,
 librust-zbus-4+p2p-dev (>= 4.0.0-~~) <!nocheck>,
 librust-glycin-1+default-dev (>= 1.0.1) <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/sophie-h/glycin
Vcs-Browser: https://salsa.debian.org/gnome-team/glycin-loaders
Vcs-Git: https://salsa.debian.org/gnome-team/glycin-loaders.git

Package: glycin-loaders
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: image loaders for loupe
 This package contains the image loaders enabling image format
 support for Loupe. It's built without JPEG-XL support right now
 as support for this feature in GNOME is still experimental.

=== debian/watch ===
version=4
opts="searchmode=plain,repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds, \
	uversionmangle=s/\.(alpha|beta|rc)/~$1/,downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
